---
sidebar_label: JSCoverageEntry
---

# JSCoverageEntry interface

The CoverageEntry class for JavaScript

#### Signature:

```typescript
export interface JSCoverageEntry extends CoverageEntry
```

**Extends:** [CoverageEntry](./puppeteer.coverageentry.md)

## Properties

| Property          | Modifiers             | Type                             | Description                   | Default |
| ----------------- | --------------------- | -------------------------------- | ----------------------------- | ------- |
| rawScriptCoverage | <code>optional</code> | Protocol.Profiler.ScriptCoverage | Raw V8 script coverage entry. |         |
